---

- name: Hello world
  debug:
    msg:
      - "olip-post-install"
      - "{{ lookup('pipe', 'git rev-parse --short HEAD') }}
        @ {{ lookup('pipe', 'git rev-parse --abbrev-ref HEAD') }}"
  tags:
    - always

- name: Copy *_master.sh scripts
  copy:
    src: "{{ item }}"
    dest: "/usr/local/bin/{{ item }}"
    mode: 0755
  when: ansible_lsb.id == 'Raspbian'
  with_items:
    - disable_master.sh
    - enable_master.sh

- name: Play around with deploy.py, let think device has been rebooted
  file:
    path: /opt/rebooted
    state: touch
    mode: 0644
  when: (iam_a_master_device.stat.exists|default(False) == True and
    ansible_lsb.id == 'Raspbian')

- name: Wait until olip_database_upgrade lock file is removed (max 24h)
  wait_for:
    path: /var/run/olip_database_upgrade.pid
    timeout: 86400
    state: absent
